Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample Class Reference

`#include <OGeomParam.h>`

Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample:
[legend]

## Public Types

typedef Sample | this_type

## Public Member Functions

| Sample ()
| Sample (const Abc::TypedArraySample< TRAITS > &iVals, GeometryScope iScope)
| Sample (const Abc::TypedArraySample< TRAITS > &iVals, const Abc::UInt32ArraySample &iIndices, GeometryScope iScope)
void | setVals (const Abc::TypedArraySample< TRAITS > &iVals)
const Abc::TypedArraySample< TRAITS > & | getVals () const
void | setIndices (const Abc::UInt32ArraySample &iIndices)
const Abc::UInt32ArraySample & | getIndices () const
void | setScope (GeometryScope iScope)
GeometryScope | getScope () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes

Abc::TypedArraySample< TRAITS > | m_vals
Abc::UInt32ArraySample | m_indices
GeometryScope | m_scope

## Detailed Description

template<class TRAITS>
class Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample

Definition at line 58 of file OGeomParam.h.

## Member Typedef Documentation

## this_type

template<class TRAITS>

typedef Sample Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::this_type

Definition at line 61 of file OGeomParam.h.

## Constructor & Destructor Documentation

## Sample() [1/3]

template<class TRAITS>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::Sample | ( |  | ) |

inline

Definition at line 63 of file OGeomParam.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::kUnknownScope, and m_scope.

## Sample() [2/3]

template<class TRAITS>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::Sample | ( | const Abc::TypedArraySample< TRAITS > & | iVals,
|  | GeometryScope | iScope )

inline

Definition at line 67 of file OGeomParam.h.

References m_scope, and m_vals.

## Sample() [3/3]

template<class TRAITS>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::Sample | ( | const Abc::TypedArraySample< TRAITS > & | iVals,
|  | const Abc::UInt32ArraySample & | iIndices,
|  | GeometryScope | iScope )

inline

Definition at line 73 of file OGeomParam.h.

References m_indices, m_scope, and m_vals.

## Member Function Documentation

## ALEMBIC_OPERATOR_BOOL()

template<class TRAITS>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

## getIndices()

template<class TRAITS>

const Abc::UInt32ArraySample & Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::getIndices | ( |  | ) | const

inline

Definition at line 88 of file OGeomParam.h.

References m_indices.

## getScope()

template<class TRAITS>

GeometryScope Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::getScope | ( |  | ) | const

inline

Definition at line 93 of file OGeomParam.h.

References m_scope.

## getVals()

template<class TRAITS>

const Abc::TypedArraySample< TRAITS > & Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::getVals | ( |  | ) | const

inline

Definition at line 83 of file OGeomParam.h.

References m_vals.

## reset()

template<class TRAITS>

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::reset | ( |  | ) |

inline

Definition at line 96 of file OGeomParam.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::kUnknownScope, m_indices, m_scope, and m_vals.

## setIndices()

template<class TRAITS>

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::setIndices | ( | const Abc::UInt32ArraySample & | iIndices | ) |

inline

Definition at line 86 of file OGeomParam.h.

References m_indices.

## setScope()

template<class TRAITS>

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::setScope | ( | GeometryScope | iScope | ) |

inline

Definition at line 91 of file OGeomParam.h.

References m_scope.

## setVals()

template<class TRAITS>

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::setVals | ( | const Abc::TypedArraySample< TRAITS > & | iVals | ) |

inline

Definition at line 81 of file OGeomParam.h.

References m_vals.

## valid()

template<class TRAITS>

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::valid | ( |  | ) | const

inline

Definition at line 103 of file OGeomParam.h.

References m_vals.

## Member Data Documentation

## m_indices

template<class TRAITS>

Abc::UInt32ArraySample Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::m_indices

protected

Definition at line 109 of file OGeomParam.h.

Referenced by Sample(), getIndices(), reset(), and setIndices().

## m_scope

template<class TRAITS>

GeometryScope Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::m_scope

protected

Definition at line 110 of file OGeomParam.h.

Referenced by Sample(), Sample(), Sample(), getScope(), reset(), and setScope().

## m_vals

template<class TRAITS>

Abc::TypedArraySample<TRAITS> Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample::m_vals

protected

Definition at line 108 of file OGeomParam.h.

Referenced by Sample(), Sample(), getVals(), reset(), setVals(), and valid().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/OGeomParam.h